<h1 mat-dialog-title>Adicionar Refeição</h1>
<form [formGroup]="mealForm" (submit)="onSubmit($event)">
    <mat-dialog-content>
        <mat-form-field>
            <mat-label>Calorias</mat-label>
            <input
                type="number"
                min="0"
                matInput
                placeholder="Calorias da refeição"
                formControlName="calories"
                name="calories"
            />
            <mat-error *ngIf="mealForm.get('calories').hasError('required')">
                Calorias obrigatórias
            </mat-error>
            <mat-icon matPrefix svgIcon="sprite:kcal"></mat-icon>
        </mat-form-field>
        <mat-form-field>
            <mat-label>Proteínas</mat-label>
            <input
                type="number"
                min="0"
                matInput
                placeholder="Proteínas da refeição"
                formControlName="protein"
                name="protein"
            />
            <mat-error *ngIf="mealForm.get('protein').hasError('required')">
                Proteínas obrigatórias
            </mat-error>
            <mat-icon matPrefix svgIcon="sprite:kcal"></mat-icon>
        </mat-form-field>

        <mat-form-field>
            <mat-label>Gorduras</mat-label>
            <input
                type="number"
                min="0"
                matInput
                placeholder="Gorduras da refeição"
                formControlName="fats"
                name="fats"
            />
            <mat-error *ngIf="mealForm.get('fats').hasError('required')">
                Gorduras obrigatórias
            </mat-error>
            <mat-icon matPrefix svgIcon="sprite:kcal"></mat-icon>
        </mat-form-field>

        <mat-form-field>
            <mat-label>Hidratos de carbono</mat-label>
            <input
                type="number"
                min="0"
                matInput
                placeholder="Hidratos de carbono da refeição"
                formControlName="carbs"
                name="carbs"
            />
            <mat-error *ngIf="mealForm.get('carbs').hasError('required')">
                Hidratos de carbono obrigatórias
            </mat-error>
            <mat-icon matPrefix svgIcon="sprite:kcal"></mat-icon>
        </mat-form-field>

        <mat-form-field>
            <mat-label>Descrição</mat-label>
            <input
                matInput
                placeholder="Descrição da refeição"
                formControlName="description"
                name="description"
            />
            <mat-icon matPrefix>subject</mat-icon>
        </mat-form-field>
    </mat-dialog-content>

    <mat-dialog-actions>
        <button
            mat-button
            color="primary"
            type="submit"
            [disabled]="!mealForm.valid"
        >
            <mat-icon>meal_add</mat-icon>
            Adicionar
        </button>
        <button mat-button color="accent" type="button" (click)="onClose()">
            <mat-icon>cancel</mat-icon>
            Cancelar
        </button>
    </mat-dialog-actions>
</form>
